Package org.springframework.context.annotation

# Interface ImportAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `AbstractAsyncConfiguration`, `AbstractCachingConfiguration`, `LoadTimeWeavingConfiguration`, `MBeanExportConfiguration`, `ProxyAsyncConfiguration`, `ProxyCachingConfiguration`

public interface ImportAware extends org.springframework.beans.factory.Aware
Interface to be implemented by any @`Configuration` class that wishes to be injected with the `AnnotationMetadata` of the @`Configuration` class that imported it. Useful in conjunction with annotations that use @`Import` as a meta-annotation.

Since:
  3.1
Author:
  Chris Beams

## Method Summary

Modifier and Type
Method
Description
`void`
`setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
Set the annotation metadata of the importing @`Configuration` class.

## Method Details

### setImportMetadata

void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)
Set the annotation metadata of the importing @`Configuration` class.